version: '3'
services:
  pikatrack:
    image: "registry.gitlab.com/pikatrack/pikatrack:latest"
    command: "bash -c \"cd /root/pikatrack/backend &&  bundle exec rails server -e production \""
    ports:
     - "3000:3000"
    networks:
      - backend
    environment: 
      - SECRET_KEY_BASE=
  redis:
    image: "redis"
    networks:
      - backend
  sidekiq:
    image: "registry.gitlab.com/pikatrack/pikatrack"
    command: "bash -c \"cd /root/pikatrack/backend && RAILS_ENV=production bundle exec sidekiq \""
    depends_on:
      - "redis"
    networks:
      - backend
    environment: 
      - SECRET_KEY_BASE=

networks:
  backend: